com.taosdata.jdbc.ws.entity

## Class Request

- java.lang.Object
- - com.taosdata.jdbc.ws.entity.Request

    public class Request
    extends Object

send to taosadapter

### Constructor Summary

Constructors
Constructor and Description
`Request(String action, com.taosdata.jdbc.ws.entity.Payload args)`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`static Request` `generateConnect(String user, String password, String db)`
`static Request` `generateFetch(long id)`
`static Request` `generateFetchBlock(long id)`
`static Request` `generateFetchJson(long id)`
`static Request` `generateQuery(String sql)`
`String` `getAction()`
`com.taosdata.jdbc.ws.entity.Payload` `getArgs()`
`String` `id()`
`void` `setAction(String action)`
`void` `setArgs(com.taosdata.jdbc.ws.entity.Payload args)`
`String` `toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### Request

    public Request(String action,
                   com.taosdata.jdbc.ws.entity.Payload args)

### Method Detail

#### id

    public String id()

#### getAction

    public String getAction()

#### setAction

    public void setAction(String action)

#### getArgs

    public com.taosdata.jdbc.ws.entity.Payload getArgs()

#### setArgs

    public void setArgs(com.taosdata.jdbc.ws.entity.Payload args)

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`

#### generateConnect

    public static Request generateConnect(String user,
                                          String password,
                                          String db)

#### generateQuery

    public static Request generateQuery(String sql)

#### generateFetch

    public static Request generateFetch(long id)

#### generateFetchJson

    public static Request generateFetchJson(long id)

#### generateFetchBlock

    public static Request generateFetchBlock(long id)